Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application5
Class ApplicationTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.application5.ApplicationTypeImpl<T>

All Implemented Interfaces:
  ApplicationType<T>, org.jboss.shrinkwrap.descriptor.api.Child<T>

    public class ApplicationTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ApplicationType<T>

This class implements the `applicationType` xsd type

Original Documentation:

The applicationType defines the structure of the
application.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ApplicationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ApplicationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<ApplicationType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getLibraryDirectory()` Returns the `library-directory` element
`java.util.List<ModuleType<ApplicationType<T>>>` | `getModuleList()` Returns all `module` elements
`java.util.List<SecurityRoleType<ApplicationType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<ApplicationType<T>>` | `icon()` Returns the `icon` element
`ModuleType<ApplicationType<T>>` | `module()` Returns the `module` element
`ApplicationType<T>` | `removeAllDescription()` Removes the `description` element
`ApplicationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ApplicationType<T>` | `removeAllIcon()` Removes all `icon` elements
`ApplicationType<T>` | `removeAllModule()` Removes all `module` elements
`ApplicationType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`ApplicationType<T>` | `removeLibraryDirectory()` Removes the `library-directory` element
`ApplicationType<T>` | `removeVersion()` Removes the `version` attribute
`SecurityRoleType<ApplicationType<T>>` | `securityRole()` Returns the `security-role` element
`ApplicationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ApplicationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ApplicationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ApplicationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ApplicationType<T>` | `setLibraryDirectory(java.lang.String libraryDirectory)` If not already created, a new `library-directory` element with the given value will be created.
`ApplicationType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTypeImpl

    public ApplicationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### ApplicationTypeImpl

    public ApplicationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ApplicationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### setDescriptionList

    public ApplicationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ApplicationType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDescription

    public ApplicationType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ApplicationType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ApplicationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### setDisplayNameList

    public ApplicationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ApplicationType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDisplayName

    public ApplicationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ApplicationType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ApplicationType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### icon

    public IconType<ApplicationType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ApplicationType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ApplicationType<T>`
  Returns:
    list of `icon`

### removeAllModule

    public ApplicationType<T> removeAllModule()

  Removes all `module` elements

  Specified by:
    `removeAllModule` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### module

    public ModuleType<ApplicationType<T>> module()

  Returns the `module` element

  Specified by:
    `module` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `module`

### getModuleList

    public java.util.List<ModuleType<ApplicationType<T>>> getModuleList()

  Returns all `module` elements

  Specified by:
    `getModuleList` in interface `ApplicationType<T>`
  Returns:
    list of `module`

### removeAllSecurityRole

    public ApplicationType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### securityRole

    public SecurityRoleType<ApplicationType<T>> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<ApplicationType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `ApplicationType<T>`
  Returns:
    list of `security-role`

### setLibraryDirectory

    public ApplicationType<T> setLibraryDirectory(java.lang.String libraryDirectory)

  If not already created, a new `library-directory` element with the given value will be created. Otherwise, the existing `library-directory` element will be updated with the given value.

  Specified by:
    `setLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### removeLibraryDirectory

    public ApplicationType<T> removeLibraryDirectory()

  Removes the `library-directory` element

  Specified by:
    `removeLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getLibraryDirectory

    public java.lang.String getLibraryDirectory()

  Returns the `library-directory` element

  Specified by:
    `getLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `library-directory`

### setVersion

    public ApplicationType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `ApplicationType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `ApplicationType`

### removeVersion

    public ApplicationType<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `version`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD